namespace OpenWarehouse.warehouse.api.Model;

public class ActionResult
{
    public ActionResult(bool isSuccess, Dictionary<string, string>? errors)
    {
        IsSuccess = isSuccess;
        Errors = errors;
    }

    public ActionResult(bool isSuccess) : this(isSuccess, null)
    {
        
    }
    public ActionResult() : this(true,null)
    {
        
    }
    public bool IsSuccess { get; }
    public Dictionary<string, string>? Errors { get; }
    
    
}